package quake.quake_android_native_methods.soundRecording;

import android.content.Context;
import android.util.Log;

import com.fashare.hover_view.ViewState;

public class RecordingWindow {
    private static final String TAG = "RecordingWindow";
    private RecordingWindowListener mWindowListener;
    private boolean show;
    private Context mContext;

    public RecordingWindow(Context mContext) {
        this.mContext = mContext;
    }


    public RecordingWindow(boolean show) {
        this.show = show;
    }



    public void setRecordingWindowListener(RecordingWindowListener listener){
        mWindowListener = listener;

    }

    public void doSomething(ViewState string){
        Log.d(TAG, "doSomething: "+string);
        if(mWindowListener!=null){
            mWindowListener.updateData(string);
        }
    }
}
