package quake.quake_android_native_methods.ui.filePage;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Environment;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import org.json.JSONException;
import org.json.JSONObject;



import quake.quake_android_native_methods.R;

public class FileItem {
    private String date;
    private String url;
    private String type;
    private String size;
    private String uuid;
    private String addTime;
    private String isDel;
    private JSONObject fileInfo;
    private Context context;
    private Activity mActivity;
    private int w;
    private int h;

    private String SNAPSHOT = Environment.getExternalStorageDirectory() + "/Quake/fileSnapshot/test/document/";


    public FileItem(JSONObject fileInfo) {
        setDate(fileInfo.optString("date"));
        setUrl(fileInfo.optString("url"));
        setType(fileInfo.optString("type"));
        setSize(fileInfo.optString("size"));
        setUuid(fileInfo.optString("uuid"));
        setAddTime(fileInfo.optString("addTime"));
        setIsDel(fileInfo.optString("isDel"));
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getAddTime() {
        return addTime;
    }

    public void setAddTime(String addTime) {
        this.addTime = addTime;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public JSONObject getfileInfo() {
        return fileInfo;
    }

    public void setfileInfo(JSONObject fileInfo) {
        this.fileInfo = fileInfo;
    }
}
