/**
 * Copyright (C), 2021-2021, 夸克科技有限公司
 * FileName: ContentPagePresenter
 * Author: Administrator
 * Date: 2021/10/20 12:02
 * Description:
 * History:
 * <author> <time> <version> <desc>
 * 作者姓名 修改时间 版本号 描述
 */
package quake.quake_android_native_methods.ui.filePage.presenter;

import android.app.Activity;

import org.json.JSONObject;

import quake.quake_android_native_methods.baseMvp.BasePresenter;
import quake.quake_android_native_methods.ui.filePage.contract.IFilePageContract;
import quake.quake_android_native_methods.ui.filePage.model.FilePageModel;
import quake.quake_android_native_methods.ui.filePage.model.IFilePageModel;

/**
 * @ClassName: ContentPagePresenter
 * @Description: java类作用描述
 * @Author: Administrator
 * @Date: 2021/10/20 12:02
 */
public class FilePagePresenter extends BasePresenter<IFilePageContract.View, FilePageModel> implements IFilePageContract.Presenter {
    @Override
    public JSONObject getIntent(Activity activity) {
        mModel.getFileInfo(activity, new IFilePageModel.OnLoadFileInfoListener() {
            @Override
            public void onComplete(JSONObject fileInfo,float w,float h) {
                mView.get().showFile(fileInfo,w,h);
            }

            @Override
            public void onError(String error) {
                mView.get().showErrorMessage(error);
            }
        });

        return null;
    }
}
