#import "QuakeAndroidNativeMethodsPlugin.h"

@implementation QuakeAndroidNativeMethodsPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"quake_android_native_methods"
            binaryMessenger:[registrar messenger]];
  QuakeAndroidNativeMethodsPlugin* instance = [[QuakeAndroidNativeMethodsPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
