//package quake.quake_android_native_methods.soundRecording;
//
//import android.app.Dialog;
//import android.app.Fragment;
//import android.app.FragmentManager;
//import android.app.FragmentTransaction;
//import android.content.Context;
//import android.graphics.Color;
//import android.graphics.drawable.BitmapDrawable;
//import android.os.Bundle;
//import android.os.Handler;
//import android.os.SystemClock;
//import android.util.Log;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.ViewGroup;
//import android.view.Window;
//import android.widget.Button;
//import android.widget.Chronometer;
//import android.widget.EditText;
//import android.widget.FrameLayout;
//import android.widget.ImageView;
//import android.widget.LinearLayout;
//import android.widget.TextView;
//import android.widget.Toast;
//
//import androidx.annotation.NonNull;
//import androidx.annotation.Nullable;
//
//import com.fashare.hover_view.HoverView;
//import com.fashare.hover_view.HoverViewContainer;
//import com.fashare.hover_view.ViewState;
//
//
//
//import java.text.SimpleDateFormat;
//import java.util.Date;
//import java.util.Locale;
//
//import quake.quake_android_native_methods.R;
//import quake.quake_android_native_methods.Wave.WaveView;
//import quake.quake_android_native_methods.utils.AudioUtils;
//
//
//public class RecordingFragment extends Fragment implements View.OnClickListener {
//    private Dialog dialog;
//    private FrameLayout container;
//    private AudioRecorder audioRecorder;
//    private View parent;
//    private View child;
//    private ImageView start;
//    private HoverView bottom;
//    private HoverViewContainer hoverViewContainer;
//    private ViewState lastState = ViewState.HOVER;
//    private View window;
//    private ImageView record_complete;
//    private ImageView record_cancel;
//    private View save_recording_file_layout;
//    private ImageView record_close;
//    private TextView fileDate;
//    private TextView recordText;
//    private TextView btn;
//    private Chronometer stopwatch;
//
//    private String TAG = "RecordingFragment";
//    private RecordingWindow recordingWindow;
//
//    private boolean isFirst;
//
//
//    private boolean isBig = false;
//    private long recordingTime = 0;
//    private EditText edit_recording_file_name;
//    private Button sendNow;
//    private String fileName;
//
//    private boolean isReset = true;//是否重置计时器
//    private String timeFormat;
//    private long base;
//    private String saveTime;
//
//
//    private TextView timeLeft;
//    private static final int REQUEST_RECORDING = 7;
//    private RecordStreamListener recordStreamListener = new RecordStreamListener() {
//        @Override
//        public void recordOfByte(int readSize, byte[] data, int begin, int end) {
//
//            new Thread(new Runnable() {
//                @Override
//                public void run() {
//                    double volume;
//                    long v = 0;
//                    short[] buffer = AudioUtils.bytesToShort(data);
//                    // 将 buffer 内容取出，进行平方和运算
//                    for (int i = 0; i < buffer.length; i++) {
//                        v += buffer[i] * buffer[i];
//                    }
//                    // 平方和除以数据总长度，得到音量大小。
//                    double mean = v / (double) readSize;
//                    volume = 10 * Math.log10(mean);
// /*                   long v = 0;
//                    //将data内容取出，进行平方和运算
//                    for (int i = 0; i <data.length ; i++) {
//                        v+=data[i]*data[i];
//
//                    }
//
//                    //平方和除以数据总长度，得到音量大小
//                    double mean = v/(double)readSize;
//                    double volume = 10*Math.log10(mean);*/
//
////                    double volume = calculateVolume(data);
//                    getActivity().runOnUiThread(new Runnable() {
//                        @Override
//                        public void run() {
//                            timeLeft.setText("" + volume);
//                        }
//                    });
//                    Log.d(TAG, "recordOfByte: 分贝值：" + volume);
//                    waveView.setValueY((float) volume);
////                    waveSurfaceView.isRunning = true;
////                    waveSurfaceView.setLine_off((int) volume);
//                    synchronized (audioRecorder.mLock) {
//                        try {
//                            audioRecorder.mLock.wait(100);
//
//                        } catch (InterruptedException e) {
//                            e.printStackTrace();
//                        }
//                    }
//
//                }
//            }).start();
//
//        }
//    };
//    private long time;
//
//    private double calculateVolume(byte[] buffer) {
//
//        double sumVolume = 0.0;
//
//        double avgVolume = 0.0;
//
//        double volume = 0.0;
//
//        for (int i = 0; i < buffer.length; i += 2) {
//
//            int v1 = buffer[i] & 0xFF;
//
//            int v2 = buffer[i + 1] & 0xFF;
//
//            int temp = v1 + (v2 << 8);// 小端
//
//            if (temp >= 0x8000) {
//
//                temp = 0xffff - temp;
//
//            }
//
//            sumVolume += Math.abs(temp);
//
//        }
//
//        avgVolume = sumVolume / buffer.length / 2;
//
//        volume = Math.log10(1 + avgVolume) * 10;
//
//        return volume;
//
//    }
//
//
//    private WaveView waveView;
////    private HoverView mHv;
//
//    @Nullable
//    @Override
//    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
//        if (parent == null) {
//            parent = inflater.inflate(R.layout.recording_fragment, container, false);
//        } else {
//            ViewGroup group = (ViewGroup) parent.getParent();
//            if (group != null) {
//                group.removeView(parent);
//            }
//        }
//
////        child = parent.findViewById(R.id.container);
////        child = inflater.inflate(R.layout.loading_dialog,null);
//        ViewGroup viewGroup = (ViewGroup) parent.getParent();
//        if (viewGroup != null) {
//            viewGroup.removeView(parent);
//        }
//        Log.d(TAG, "onCreateView: view = " + parent);
//
//        return parent;
//    }
//
//    @Override
//    public void onCreate(@Nullable Bundle savedInstanceState) {
//        super.onCreate(savedInstanceState);
//    }
//
//    @Override
//    public void onDestroyView() {
//        super.onDestroyView();
//        Log.d(TAG, "onDestroyView: 摧毁了");
//        if (parent != null) {
//            ViewGroup viewGroup = (ViewGroup) parent.getParent();
//            if (viewGroup != null) {
//                viewGroup.removeView(parent);
//            }
//            parent = null;
//        }
//    }
//
//    @Override
//    public void onHiddenChanged(boolean hidden) {
//        super.onHiddenChanged(hidden);
//        Log.d(TAG, "onHiddenChanged: 隐藏了吗=" + hidden);
//        if (!hidden) {
//            new Handler().post(new Runnable() {
//                @Override
//                public void run() {
//                    bottom.changeState(ViewState.HOVER, true);
//                    Log.d(TAG, "run: 现在的状态=" + bottom.getState());
//                    btn.setClickable(true);
//                }
//            });
//        }
//        if (hidden) {
//            isBig = false;
////            btn.setEnabled(false);
//            btn.setClickable(false);
//            waveView.clearPoint();
//            waveView.setStart(false);
//            lastState = ViewState.HOVER;
////            changeBottomSheet(R.layout.recording_window_small);
//            bigToSmall();
//            if (record_complete != null)
//                record_complete.setVisibility(View.INVISIBLE);
//
//            start.setImageResource(R.mipmap.small_micro);
//            onRecordCancel();
//            isReset = true;
//        }
//    }
//
//    @Override
//    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
//        super.onActivityCreated(savedInstanceState);
//        Log.d(TAG, "onActivityCreated: 启动");
//        isFirst = true;
//        createDialog();
//
//    }
//
//    @Override
//    public void onStart() {
//        super.onStart();
//        waveView.post(new Runnable() {
//            @Override
//            public void run() {
//                Log.d(TAG, "createDialog: wavaview高度=" + waveView.getHeight());
//                waveView.setSmallWindowHeight(waveView.getHeight());
//            }
//        });
//        Log.d(TAG, "bottomSheet: 状态=" + bottom.getState());
//
//        if (bottom.getState() == ViewState.CLOSE) {
//            new Handler().post(new Runnable() {
//                @Override
//                public void run() {
//                    bottom.changeState(ViewState.HOVER, true);
//                }
//            });
//            Log.d(TAG, "createDialog: 状态=" + bottom.getState());
//        }
//    }
//
//    public void activityChangeFragment(String data) {
//        Log.d(TAG, "activityChangeFragment: data= " + data);
//    }
//
//    //隐藏fragment
//    private void hideFragment() {
//        FragmentManager fragmentManager = getFragmentManager();
//        RecordingFragment fragment = (RecordingFragment) fragmentManager.findFragmentById(R.id.fragment);
//        Log.d(TAG, "hideFragment: 是否显示=" + fragment.isVisible());
//        if (fragment.isVisible()) { //通过Fragment的isVisible方法来判断Fragment是否处于显示状态
//            FragmentTransaction transaction = fragmentManager.beginTransaction();
//            transaction.hide(fragment);
//            transaction.commit();
//        }
//    }
//
//    //创建弹窗
//    private void createDialog() {
//        bottom = getActivity().findViewById(R.id.hv);
//        btn = getActivity().findViewById(R.id.btn);
//
//        LayoutInflater inflater = (LayoutInflater) getActivity().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
//        window = inflater.inflate(R.layout.recording_window_small, null);
//
////        mHv = getActivity().findViewById(R.id.hv);
//        bottom.removeAllViews();
//        bottom.addView(window);
//
//        setInterface();
//
//        timeLeft = getActivity().findViewById(R.id.timeLeft);
//        stopwatch = getActivity().findViewById(R.id.stopwatch);
//        audioRecorder = AudioRecorder.getInstance();
//        start = getActivity().findViewById(R.id.start);
//        start.setOnClickListener(this);
//        btn.setOnClickListener(this);
//        recordText = getActivity().findViewById(R.id.recordText);
//        record_complete = getActivity().findViewById(R.id.record_complete);
//        Log.d(TAG, "createDialog: record_complete是否为空=" + record_complete);
//        if (record_complete != null) {
//            record_complete.setOnClickListener(this);
//        }
//
//        waveView = getActivity().findViewById(R.id.waveView);
//        Log.d(TAG, "bigToSmall: 窗口高度=" + waveView.getHeight());
//
//
//        Log.d(TAG, "createDialog: start高度=" + start.getHeight());
////        waveSurfaceView = getActivity().findViewById(R.id.waveView);
//
//    }
//
//    public void startTimeCount() {
//       /* if(audioRecorder.getStatus() == AudioRecorder.Status.STATUS_READY){
//            stopwatch.setBase(base);
//        }
//        if (audioRecorder.getStatus() == AudioRecorder.Status.STATUS_START) {
//            Log.d(TAG, "startTimeCount: 暂停");
////            base = SystemClock.elapsedRealtime()-recordingTime;
////            recordingTime = SystemClock.elapsedRealtime()-stopwatch.getBase();
//
////            stopwatch.setBase(base-recordingTime);
//            Log.d(TAG, "startTimeCount: 计时="+timeFormat);
////            stopwatch.setText(saveTime);
//            saveTime = timeFormat;
////            Log.d(TAG, "startTimeCount: base="+(SystemClock.elapsedRealtime()-recordingTime));
//            Log.d(TAG, "startTimeCount: base="+base);
//            stopwatch.setBase(base);
//        }*/
//
//        stopwatch.setOnChronometerTickListener(new Chronometer.OnChronometerTickListener() {
//            @Override
//            public void onChronometerTick(Chronometer cArg) {
//                Log.d(TAG, "bigToSmall: 窗口高度=" + waveView.getHeight());
//                Log.d(TAG, "onChronometerTick: 录音状态=" + audioRecorder.getStatus());
//
//                time = SystemClock.elapsedRealtime() - cArg.getBase();
//                Log.d(TAG, "startTimeCount: base=" + base);
//                Log.d(TAG, "startTimeCount: cArg.getBase()" + cArg.getBase());
//                Log.d(TAG, "onChronometerTick: SystemClock.elapsedRealtime()" + SystemClock.elapsedRealtime());
//                Log.d(TAG, "startTimeCount: time = " + time);
//                timeFormat = calculateTime(time);
//                //timecount.updateTime(timeFormat);
//                Log.d(TAG, "onChronometerTick: 计时=" + timeFormat);
//                stopwatch.setText(timeFormat);
//                Log.d(TAG, "onRecordStop: 时长=" + stopwatch.getText());
//            }
//        });
//        Log.d(TAG, "onChronometerTick: 这里SystemClock.elapsedRealtime()" + SystemClock.elapsedRealtime());
//        Log.d(TAG, "startTimeCount: 当前状态=" + audioRecorder.getStatus());
//        if (audioRecorder.getStatus() == AudioRecorder.Status.STATUS_START) {
//            Log.d(TAG, "startTimeCount: 暂停");
////            base = SystemClock.elapsedRealtime()-recordingTime;
////            recordingTime = SystemClock.elapsedRealtime()-stopwatch.getBase();
//
///*                stopwatch.setBase(base-recordingTime);
//                saveTime = timeFormat;
//            stopwatch.setBase(base);*/
////            stopwatch.setText(saveTime);
////            recordingTime = SystemClock.elapsedRealtime()-base;
//        } else if (audioRecorder.getStatus() == AudioRecorder.Status.STATUS_PAUSE) {
//
//            base = SystemClock.elapsedRealtime() - recordingTime;
//            stopwatch.setBase(base);
//            stopwatch.setText(saveTime);
//
//            Log.d(TAG, "startTimeCount: base = " + base);
//        } else {
//
//            Log.d(TAG, "startTimeCount: 这里来过吗");
//            stopwatch.setBase(SystemClock.elapsedRealtime());
//            base = SystemClock.elapsedRealtime() - recordingTime;
//        }
//
////        stopwatch.start();
//    }
//
//    private String calculateTime(long time) {
//        int h;
//        int m;
//        int s;
//        h = (int) (time / 3600000);
//        m = (int) (time - h * 3600000) / 60000;
//        s = (int) (time - h * 3600000 - m * 60000) / 1000;
//        String hh = h < 10 ? "0" + h : h + "";
//        String mm = m < 10 ? "0" + m : m + "";
//        String ss = s < 10 ? "0" + s : s + "";
//        return hh + ":" + mm + ":" + ss;
//    }
//
//
//    @Override
//    public void onClick(View v) {
//        Log.d(TAG, "onClick: 点啥了");
//        switch (v.getId()) {
//            case R.id.start:
//                try {
//                    //未初始化
//                    if (audioRecorder.getStatus() == AudioRecorder.Status.STATUS_NO_READY) {
//                        fileName = "录音";
//                        fileName += ""+new SimpleDateFormat("yyyyMMdd", Locale.getDefault()).format(new Date());
//                        waveView.setPause(false);
//                        waveView.setStart(true);
//
//                        Log.d(TAG, "onClick: 是否开始=" + waveView.isStart());
//                        audioRecorder.createDefaultAudio(fileName);
//                        audioRecorder.startRecord(recordStreamListener);
//                        recordText.setText(R.string.recording);
//                        startTimeCount();
//                        if (!isBig) {
//                            Log.d(TAG, "onClick: 点击后状态=" + bottom.getState());
//                            //初始化录音
//                            start.setImageResource(R.mipmap.stop);
//                        } else {
//
//                            if (record_complete != null)
//                                record_complete.setVisibility(View.VISIBLE);
//                            start.setImageResource(R.mipmap.big_pause);
//                        }
//                        stopwatch.start();
//                    } else if (audioRecorder.getStatus() == AudioRecorder.Status.STATUS_START) {
//                        //半屏模式
//                        if (!isBig) {
//
//
//                            int duration = getRecordDuration();
//                            onRecordStop();
//
//                            new Handler().post(new Runnable() {
//                                @Override
//                                public void run() {
//                                    getResult(fileName, duration, SoundRecordingUtils.getWavFileAbsolutePath(fileName), UUIDUtils.createUUid() + ".wav");
//                                }
//                            });
//                            if (bottom.getState() == ViewState.HOVER) {
//                                // "悬停" 状态
//                                Log.d(TAG, "onClick: 关闭");
//                                bottom.changeState(ViewState.CLOSE);// 打开至 "关闭" 状态
//                            }
//                            new Handler().postDelayed(new Runnable() {
//                                @Override
//                                public void run() {
//                                    hideFragment();
////                                    changeBottomSheet(R.layout.recording_window_small);
//                                    bigToSmall();
////                                start.setImageResource(R.mipmap.small_micro);
//                                }
//                            }, 500);
//                        } else {
//                            //全屏模式
//                            try {
////                                waveView.setPause(true);
//                                //暂停录音
//                                onRecordPause();
//                                start.setImageResource(R.mipmap.btn_continue);
//                                break;
//                            } catch (IllegalStateException e) {
//                                Toast.makeText(getActivity(), e.getMessage(), Toast.LENGTH_SHORT).show();
//                            }
//                        }
//                    } else if (audioRecorder.getStatus() == AudioRecorder.Status.STATUS_PAUSE) {
//                        waveView.setPause(false);
//                        if (!isBig) {
//                            start.setImageResource(R.mipmap.stop);
//                        } else {
//                            start.setImageResource(R.mipmap.big_pause);
//                        }
//                        Log.d(TAG, "onClick: 啥情况？");
//                        onRecordStart();
//                        audioRecorder.startRecord(recordStreamListener);
//                    }
//                } catch (IllegalStateException e) {
//                    Toast.makeText(getActivity(), e.getMessage(), Toast.LENGTH_SHORT).show();
//                }
//                break;
//            case R.id.record_complete:
//                Log.d(TAG, "onClick: 录音状态=" + audioRecorder.getStatus());
//                if (!audioRecorder.getStatus().equals(AudioRecorder.Status.STATUS_STOP) &&
//                        !audioRecorder.getStatus().equals(AudioRecorder.Status.STATUS_PAUSE))
//                    onRecordPause();
//                showDialog();
//                break;
//            case R.id.btn:
//                if (bottom.getState() == ViewState.CLOSE) {
//                    // "关闭" 状态
//                    bottom.changeState(ViewState.HOVER);   // 打开至 "悬停" 状态
////                    mHv.changeState(ViewState.FILL);   // 打开至 "全屏" 状态
//                    Log.d(TAG, "onClick: 打开");
//                } else {
//                    Log.d(TAG, "onClick: ？？？");
//                    bottom.changeState(ViewState.CLOSE);   // 切换至 "关闭" 状态
//                }
//                new Handler().postDelayed(new Runnable() {
//                    @Override
//                    public void run() {
//                        hideFragment();
//                        audioRecorder.cancel();
//                    }
//                }, 500);
//                break;
//
//            case R.id.sendNow:
//
//                fileName = edit_recording_file_name.getText().toString();
//
//                audioRecorder.editFileName(fileName);
//                int duration = getRecordDuration();
//                onRecordStop();
//
//
//                new Handler().post(new Runnable() {
//                    @Override
//                    public void run() {
//                        getResult(fileName, duration, SoundRecordingUtils.getWavFileAbsolutePath(fileName), UUIDUtils.createUUid() + ".wav");
//                    }
//                });
//
//
//
//            case R.id.record_close:
//                if (dialog != null)
//                    dialog.dismiss();
//                bottom.changeState(ViewState.CLOSE);// 打开至 "关闭" 状态
//                waveView.setStart(false);
//                new Handler().postDelayed(new Runnable() {
//                    @Override
//                    public void run() {
//                        hideFragment();
//                        audioRecorder.cancel();
////                        changeBottomSheet(R.layout.recording_window_small);
////                                bigToSmall();
////                                start.setImageResource(R.mipmap.small_micro);
//                    }
//                }, 500);
//                break;
//        }
//    }
//
//    private int getRecordDuration() {
//        int recordTime = (int) time / 1000;
//        Log.d(TAG, "getRecordDuration: 时间="+time/1000.0);
//        Log.d(TAG, "onClick: 时长=" + recordTime + "s");
//        if(time/1000.0>(long)((int)time/1000)){
//            recordTime = recordTime+1;
//        }
//
//        Log.d(TAG, "onClick: 时长=" + recordTime + "s");
//        return recordTime;
//
//    }
//
//    private RecordingResultListener mListener;
//
//    public void setRecordingWindowListener(RecordingResultListener listener) {
//        mListener = listener;
//    }
//
//    public interface RecordingResultListener {
//        void recordingResult(String fileTitle, int duration, String url, String cosUrl);
//    }
//
//    //获取音频信息：标题、时长、本地位置、uuid
//    public void getResult(String fileTitle, int duration, String url, String cosUrl) {
//        Log.d(TAG, "doSomething: " + fileTitle);
//        if (mListener != null) {
//            mListener.recordingResult(fileTitle, duration, url, cosUrl);
//        }
//    }
//
//    public void onRecordStart() {
//        Log.d(TAG, "onRecordStart: recordingTime=" + recordingTime);
////       stopwatch.setText();
//        stopwatch.setBase(SystemClock.elapsedRealtime() - recordingTime);// 跳过已经记录了的时间，起到继续计时的作用;
//        Log.d(TAG, "onRecordStart: 已经记录了的时间=" + (SystemClock.elapsedRealtime() - recordingTime));
//        stopwatch.start();
//        saveTime = timeFormat;
//    }
//
//    public void onRecordPause() {
//        stopwatch.stop();
//        audioRecorder.pauseRecord();
//        recordingTime = SystemClock.elapsedRealtime()
//                - stopwatch.getBase();// 保存这次记录了的时间
//        saveTime = timeFormat;
//        waveView.setPause(true);
//        Log.d(TAG, "onRecordPause: 暂停记录的时间=" + recordingTime);
//    }
//
//    private void onRecordStop() {
//        //停止录音
//        Log.d(TAG, "onClick: 不会是这里吧");
//
//        stopwatch.stop();
//
//        waveView.setStart(false);
//        stopwatch.setBase(SystemClock.elapsedRealtime());
////                        mRecordTime = SystemClock.elapsedRealtime()-stopwatch.getBase();
//        recordingTime = 0;
////                        stopwatch.setBase(SystemClock.elapsedRealtime());
//        audioRecorder.stopRecord();
//    }
//
//    private void onRecordCancel() {
//        //取消录音
//        stopwatch.stop();
//        stopwatch.setBase(SystemClock.elapsedRealtime());
////                        mRecordTime = SystemClock.elapsedRealtime()-stopwatch.getBase();
//        recordingTime = 0;
////                        stopwatch.setBase(SystemClock.elapsedRealtime());
//        audioRecorder.cancel();
//    }
//
//    private void showDialog() {
//        dialog = new Dialog(getActivity());
//        LinearLayout linearLayout = getActivity().findViewById(R.id.save_recording_file_container);
//        save_recording_file_layout = View.inflate(getActivity(), R.layout.save_recording_file_layout, null);
//        dialog.setContentView(save_recording_file_layout);
//        Window window = dialog.getWindow();
//        window.setBackgroundDrawable(new BitmapDrawable());
////
////        ImageView close_dialog = save_recording_file_layout.findViewById(R.id.closeDialog);
////        close_dialog.setOnClickListener(this);
////        dialog.setOnDismissListener(dismissListener);
//        dialog.show();
//
//        dialog.getWindow().setLayout(linearLayout.getWidth(), linearLayout.getHeight());
//
//        record_close = dialog.findViewById(R.id.record_close);
//        record_close.setOnClickListener(this);
//
//        edit_recording_file_name = dialog.findViewById(R.id.edit_recording_file_name);
//        fileDate = dialog.findViewById(R.id.fileDate);
//        String date = new SimpleDateFormat("yyyyMMdd hh:mm", Locale.getDefault()).format(new Date());
//        fileDate.setText("文件日期:" + date);
//        sendNow = dialog.findViewById(R.id.sendNow);
//        sendNow.setOnClickListener(this);
//        edit_recording_file_name.setText(fileName);
//
//
//    }
//
//
//    private void setInterface() {
//        hoverViewContainer = getActivity().findViewById(R.id.container);
//        hoverViewContainer.setRecordingWindowListener(new HoverViewContainer.RecordingWindowListener() {
//            @Override
//            public void windowState(ViewState state, boolean isSmoothScroll) {
//                Log.d(TAG, "windowState: 获得数据了=" + state);
//                Log.d(TAG, "windowState: isFirst=" + isFirst);
//                isReset = state == ViewState.CLOSE;
//                Log.d(TAG, "windowState: 是否重置=" + isReset);
////                    Log.d(TAG, "windowState: isSmoothScroll="+isSmoothScroll);
//                new Handler().postDelayed(new Runnable() {
//                    @Override
//                    public void run() {
//                        Log.d(TAG, "windowState: isSmoothScroll=" + isSmoothScroll);
//                        if (state == ViewState.CLOSE && isSmoothScroll) {
//                            hideFragment();
//                            isBig = false;
//                            recordingTime = 0;
//                            audioRecorder.cancel();
//                        }
//
//                    }
//                }, 500);
//
//                Log.d(TAG, "windowState: 上次状态=" + lastState + ",这次状态=" + state);
//
//                if (state == ViewState.HOVER) {
//                    btn.setClickable(true);
//                } else if (state == ViewState.FILL) {
//                    btn.setClickable(false);
//                }
//                if (lastState != state) {
//                    switch (state) {
//                        case FILL:
//                            Log.d(TAG, "windowState: 总时长全屏=" + recordingTime);
//                            isBig = true;
//
//                            smallToBig();
////                            changeBottomSheet(R.layout.recording_window_big);
//                            bottom.changeState(ViewState.FILL);
//                            changeLayoutByStatus();
//                            hoverViewContainer.setmViewState(ViewState.FILL);
//
////                            base = SystemClock.elapsedRealtime()-mRecordTime;
////                            stopwatch.setBase(base);
//
////                            startTimeCount();
//                            waveView.setBig(true);
//                            waveView.setWindowStatus("small2Big");
////
//                            Log.d(TAG, "windowState:FILL");
//                            break;
//                        case HOVER:
//                            Log.d(TAG, "windowState: 总时长悬浮=" + recordingTime);
//                            isBig = false;
//                            Log.d(TAG, "windowState: audioRecorder.getStatus()= " + audioRecorder.getStatus());
////                            changeBottomSheet(R.layout.recording_window_small);
//                            bigToSmall();
//                            waveView.setBig(false);
//                            changeLayoutByStatus();
//                            bottom.changeState(ViewState.HOVER);
//                            hoverViewContainer.setmViewState(ViewState.HOVER);
//                            waveView.setWindowStatus("big2Small");
////                            base = SystemClock.elapsedRealtime()-mRecordTime;
////                            stopwatch.setBase(base);
//
////                            recordingTime = SystemClock.elapsedRealtime()
////                                    - stopwatch.getBase();
//
////                            Log.d(TAG, "windowState:HOVER");
//                            break;
//                    }
//                }
//                lastState = state;
//            }
//        });
//    }
//
//    private void changeLayoutByStatus() {
//
//        switch (audioRecorder.getStatus()) {
//            case STATUS_START:
//                if (isBig) {
//                    record_complete.setVisibility(View.VISIBLE);
//                    start.setImageResource(R.mipmap.big_pause);
//                } else {
//                    record_complete.setVisibility(View.INVISIBLE);
//                    start.setImageResource(R.mipmap.stop);
//
//                }
//                if (!isReset) {
//                    startTimeCount();
//                    Log.d(TAG, "windowState: 经过多久=" + recordingTime);
////                                        stopwatch.setBase(SystemClock.elapsedRealtime() - recordingTime);
//                    stopwatch.start();
//                }
//                break;
//            case STATUS_PAUSE:
//                if (isBig) {
//                    record_complete.setVisibility(View.VISIBLE);
//                } else {
//                    record_complete.setVisibility(View.INVISIBLE);
//                }
//                recordText.setText(R.string.recording);
//                if (!isReset) {
//                    startTimeCount();
//                    Log.d(TAG, "windowState: 经过多久=" + recordingTime);
////                                        stopwatch.setBase(SystemClock.elapsedRealtime() - recordingTime);
////                    stopwatch.start();
//                    stopwatch.stop();
//                }
//                start.setImageResource(R.mipmap.btn_continue);
//                break;
//          /*  case STATUS_STOP:
//                if (isReset) {
//                    startTimeCount();
//                    Log.d(TAG, "windowState: 经过多久=" + recordingTime);
////                                        stopwatch.setBase(SystemClock.elapsedRealtime() - recordingTime);
////                    stopwatch.start();
//                    stopwatch.stop();
//                }
//                start.setImageResource(R.mipmap.btn_continue);*/
//        }
//
//    }
//
//    @Override
//    public void onPause() {
//        super.onPause();
//        if (audioRecorder.getStatus() == AudioRecorder.Status.STATUS_START) {
//            audioRecorder.pauseRecord();
//        }
//        start.setImageResource(R.mipmap.btn_continue);
//        stopwatch.stop();
//        recordingTime = SystemClock.elapsedRealtime()
//                - stopwatch.getBase();// 保存这次记录了的时间
//        saveTime = timeFormat;
//        waveView.setPause(true);
//        Log.d(TAG, "onPause: 暂停了吗" + waveView.isStart());
//    }
//
//    @Override
//    public void onDestroy() {
//        audioRecorder.release();
//        record_complete.setVisibility(View.INVISIBLE);
//        super.onDestroy();
//    }
//
//    private void bigToSmall() {
//        View spaceView = window.findViewById(R.id.spaceView);
//
//
////        LinearLayout linearLayout =  window.findViewById(R.id.linear);
////        linearLayout.removeView(spaceView);
//        spaceView.setVisibility(View.VISIBLE);
//
//        LinearLayout linear1 = window.findViewById(R.id.linear1);
//        LinearLayout waveLayout = window.findViewById(R.id.waveLayout);
//        LinearLayout linear4 = window.findViewById(R.id.linear4);
//        controlWeight(linear1, 3, 1);
//        controlWeight(waveLayout, 2, 1);
//        controlWeight(linear4, 3, 1);
//
//        //波形
//        TextView waveTop = window.findViewById(R.id.waveTop);
//        waveTop.setVisibility(View.GONE);
//        TextView waveBottom = window.findViewById(R.id.waveBottom);
//        waveBottom.setVisibility(View.GONE);
//
//        LinearLayout microLeft = window.findViewById(R.id.microLeft);
//        LinearLayout microRight = window.findViewById(R.id.microRight);
//        controlWeight(microLeft, 3, 0);
////        start.setImageResource(R.mipmap.big_micro);
//        controlWeight(start, 2, 0);
//        controlWeight(microRight, 3, 0);
//
//        TextView barLeft = window.findViewById(R.id.barLeft);
//        TextView barRight = window.findViewById(R.id.barRight);
//        controlWeight(barLeft, 9, 0);
//        controlWeight(barRight, 9, 0);
//        TextView barTop = window.findViewById(R.id.barTop);
//        ImageView bar = window.findViewById(R.id.bar);
//        TextView barBottom = window.findViewById(R.id.barBottom);
//        controlWeight(barTop, 1, 1);
//        controlWeight(bar, 1, 1);
//        controlWeight(barBottom, 6, 1);
//
//        TextView myTextView1 = window.findViewById(R.id.myTextView1);
//        myTextView1.setVisibility(View.GONE);
//        TextView myTextView2 = window.findViewById(R.id.myTextView2);
//        myTextView2.setVisibility(View.GONE);
//
//
//        LinearLayout linear2 = window.findViewById(R.id.linear2);
//        LinearLayout linear3 = window.findViewById(R.id.linear3);
//        controlWeight(linear2, 1, 1);
//        controlWeight(linear3, 2, 1);
//        waveView.setBackgroundColor(Color.parseColor("#0A398F"));
//
//        controlWeight(stopwatch, 2, 0);
//        stopwatch.setTextSize(35);
//    }
//
//    private void smallToBig() {
//        View spaceView = window.findViewById(R.id.spaceView);
////        LinearLayout linearLayout =  window.findViewById(R.id.linear);
////        linearLayout.removeView(spaceView);
//        spaceView.setVisibility(View.GONE);
//
//        LinearLayout linear1 = window.findViewById(R.id.linear1);
//        LinearLayout waveLayout = window.findViewById(R.id.waveLayout);
//        LinearLayout linear4 = window.findViewById(R.id.linear4);
//        controlWeight(linear1, 2, 1);
//        controlWeight(waveLayout, 3, 1);
//        controlWeight(linear4, 2, 1);
//
//        //波形
//        TextView waveTop = window.findViewById(R.id.waveTop);
//        waveTop.setVisibility(View.VISIBLE);
//        TextView waveBottom = window.findViewById(R.id.waveBottom);
//        waveBottom.setVisibility(View.VISIBLE);
//
//        //麦克风
//        LinearLayout microLeft = window.findViewById(R.id.microLeft);
//        LinearLayout microRight = window.findViewById(R.id.microRight);
//        controlWeight(microLeft, 6, 0);
////        start.setImageResource(R.mipmap.big_micro);
//        controlWeight(start, 5, 0);
//        controlWeight(microRight, 6, 0);
//
//        //横条
//        TextView barLeft = window.findViewById(R.id.barLeft);
//        TextView barRight = window.findViewById(R.id.barRight);
//        controlWeight(barLeft, 6, 0);
//        controlWeight(barRight, 6, 0);
//        TextView barTop = window.findViewById(R.id.barTop);
//        ImageView bar = window.findViewById(R.id.bar);
//        TextView barBottom = window.findViewById(R.id.barBottom);
//        controlWeight(barTop, 2, 1);
//        controlWeight(bar, 1, 1);
//        controlWeight(barBottom, 10, 1);
//
//
//        TextView myTextView1 = window.findViewById(R.id.myTextView1);
//        myTextView1.setVisibility(View.VISIBLE);
//        TextView myTextView2 = window.findViewById(R.id.myTextView2);
//        myTextView2.setVisibility(View.VISIBLE);
//
//        //正在录音
//        LinearLayout linear2 = window.findViewById(R.id.linear2);
//        LinearLayout linear3 = window.findViewById(R.id.linear3);
//        controlWeight(linear2, 2, 1);
//        controlWeight(linear3, 6, 1);
//        waveView.setBackgroundColor(Color.parseColor("#0a4091"));
//
//        controlWeight(stopwatch, 3, 0);
//        stopwatch.setTextSize(55);
//    }
//
//    private void controlWeight(View view, int weight, int orientation) {
//        LinearLayout.LayoutParams params = null;
//        if (orientation == 1) {
//            params = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, 0);
//        } else if (orientation == 0) {
//            params = new LinearLayout.LayoutParams(0, ViewGroup.LayoutParams.MATCH_PARENT);
//        }
//        assert params != null;
//        params.weight = weight;
//        view.setLayoutParams(params);
//    }
//
//
//}
