package quake.quake_android_native_methods.utils;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class AudioUtils {
    private static final String TAG = "AudioUtils";

    public static short[] bytesToShort(byte[] bytes) {
        if (bytes == null) {
            return null;
        }
        short[] shorts = new short[bytes.length / 2];
        ByteBuffer.wrap(bytes).order(ByteOrder.LITTLE_ENDIAN).asShortBuffer().get(shorts);
        return shorts;
    }

}
